edits to non-existent section are silently discarded.
Closed, ResolvedPublic

Description

Author: ssanbeg

Description:
This can be shown by creating a template with a few sections, then transcluding
it into a new page (i.e. a new user's talk page)

If these were wiki sections, then if the newbie clicked the edit links on their
page, they would edit the template, which would not be desired. If these are
HTML sections, the links would instead point to the transcluding page;
presumably a bug, but seems like what they'd expect in this case.

But if it's a new page, those sections won't exist, so any edits to them will
just be silently discarded.

Ideally, either these should be appended to the end, or the edit link should
give an error.


Version: unspecified
Severity: normal

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 9:36 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz9244.
bzimport created this task.Via LegacyMar 9 2007, 11:09 PM
bzimport added a comment.Via ConduitMar 14 2007, 6:21 PM

ssanbeg wrote:

I've committed a fix in r20459. That adds a new error message, currently only
in English.

bzimport added a comment.Via ConduitMar 15 2007, 1:25 AM

ayg wrote:

(In reply to comment #0)

If these were wiki sections, then if the newbie clicked the edit links on their
page, they would edit the template, which would not be desired. If these are
HTML sections, the links would instead point to the transcluding page;
presumably a bug, but seems like what they'd expect in this case.

This should be fixed too (new bug report?). It makes no sense for the edit links to point to a
nonexistent section, generating an error message is just putting a Band-Aid on it.

bzimport added a comment.Via ConduitMar 15 2007, 1:27 AM

ayg wrote:

Never mind, that's bug 4034.

bzimport added a comment.Via ConduitMar 15 2007, 4:58 PM

ssanbeg wrote:

(In reply to comment #3)

Never mind, that's bug 4034.

Also 9291. Generally, silently discarding edits is bad. If it could only be
triggered from contrived URLs, it may not be worth fixing; but problems with
section edit links pointing to the wrong place recurs too often to be the last
line of defense.

bzimport added a comment.Via ConduitMay 7 2007, 12:46 AM

ayg wrote:

*** Bug 8902 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.